/*===========================================================================*/
/* Module      = df3512_irq.h                                                */
/* Version     = E1.12a                                                      */
/*               extracted from device file df3512.800                       */
/*               generated by DeFiXE2 0.8.5.4                                */
/*===========================================================================*/
/*                                  COPYRIGHT                                */
/*===========================================================================*/
/* Copyright (c) 2011 by Renesas Electronics Europe GmbH,                    */
/*               a company of the Renesas Electronics Corporation            */
/*===========================================================================*/
/* Purpose:      Declarations of Interrupt Vector Table                      */
/*                                                                           */
/*===========================================================================*/
/*                                                                           */
/* Warranty Disclaimer                                                       */
/*                                                                           */
/* Because the Product(s) is licensed free of charge, there is no warranty   */
/* of any kind whatsoever and expressly disclaimed and excluded by Renesas,  */
/* either expressed or implied, including but not limited to those for       */
/* non-infringement of intellectual property, merchantability and/or         */
/* fitness for the particular purpose.                                       */
/* Renesas shall not have any obligation to maintain, service or provide bug */
/* fixes for the supplied Product(s) and/or the Application.                 */
/*                                                                           */
/* Each User is solely responsible for determining the appropriateness of    */
/* using the Product(s) and assumes all risks associated with its exercise   */
/* of rights under this Agreement, including, but not limited to the risks   */
/* and costs of program errors, compliance with applicable laws, damage to   */
/* or loss of data, programs or equipment, and unavailability or             */
/* interruption of operations.                                               */
/*                                                                           */
/* Limitation of Liability                                                   */
/*                                                                           */
/* In no event shall Renesas be liable to the User for any incidental,       */
/* consequential, indirect, or punitive damage (including but not limited    */
/* to lost profits) regardless of whether such liability is based on breach  */
/* of contract, tort, strict liability, breach of warranties, failure of     */
/* essential purpose or otherwise and even if advised of the possibility of  */
/* such damages. Renesas shall not be liable for any services or products    */
/* provided by third party vendors, developers or consultants identified or  */
/* referred to the User by Renesas in connection with the Product(s) and/or  */
/* the Application.                                                          */
/*                                                                           */
/*===========================================================================*/
/* Environment:                                                              */
/*              Device:         uPD70F3512                                   */
/*              IDE:            GHS Multi for V800                           */
/*===========================================================================*/

#ifndef __uPD70F3512_IRQ_H
#define __uPD70F3512_IRQ_H

#ifndef   OS_UART
  #define OS_UART (-1)                  // To use a UART for embOSView, define it in the project options, preprocessor
#endif

#define RESET_ENABLE                    0x00000001
// #define SYSCALLEX_ENABLE                0x00000001
 
#ifndef RESET_ENABLE                   
  #define RESET_ENABLE                    0x00000000
#endif
#ifndef SYSCALLEX_ENABLE               
  #define SYSCALLEX_ENABLE                0x00000000
#endif
#if ( RESET_ENABLE + SYSCALLEX_ENABLE) > 0x00000001
 #error Too many exception causes defined!
#endif

// #define FEINT_ENABLE                    0x00000010

// #define FENMI_ENABLE                    0x00000020

// #define FETRAPEX_ENABLE                 0x00000030
// #define MDP_ENABLE                      0x00000030
// #define MEP_ENABLE                      0x00000030
// #define MIP_ENABLE                      0x00000030
// #define PPI_ENABLE                      0x00000030
// #define RIEX_ENABLE                     0x00000030
// #define SYSERR_ENABLE                   0x00000030
// #define TSI_ENABLE                      0x00000030
 
#ifndef FETRAPEX_ENABLE                
  #define FETRAPEX_ENABLE                 0x00000000
#endif
#ifndef MDP_ENABLE                     
  #define MDP_ENABLE                      0x00000000
#endif
#ifndef MEP_ENABLE                     
  #define MEP_ENABLE                      0x00000000
#endif
#ifndef MIP_ENABLE                     
  #define MIP_ENABLE                      0x00000000
#endif
#ifndef PPI_ENABLE                     
  #define PPI_ENABLE                      0x00000000
#endif
#ifndef RIEX_ENABLE                    
  #define RIEX_ENABLE                     0x00000000
#endif
#ifndef SYSERR_ENABLE                  
  #define SYSERR_ENABLE                   0x00000000
#endif
#ifndef TSI_ENABLE                     
  #define TSI_ENABLE                      0x00000000
#endif
#if ( FETRAPEX_ENABLE + MDP_ENABLE + MEP_ENABLE + MIP_ENABLE + PPI_ENABLE + RIEX_ENABLE + SYSERR_ENABLE + TSI_ENABLE) > 0x00000030
 #error Too many exception causes defined!
#endif

// #define EITRAP0_ENABLE                  0x00000040

// #define EITRAP1_ENABLE                  0x00000050

// #define ASYNCDB_ENABLE                  0x00000060
// #define DBTRAPEX_ENABLE                 0x00000060
// #define SS_ENABLE                       0x00000060
// #define SYNCDB_ENABLE                   0x00000060
 
#ifndef ASYNCDB_ENABLE                 
  #define ASYNCDB_ENABLE                  0x00000000
#endif
#ifndef DBTRAPEX_ENABLE                
  #define DBTRAPEX_ENABLE                 0x00000000
#endif
#ifndef SS_ENABLE                      
  #define SS_ENABLE                       0x00000000
#endif
#ifndef SYNCDB_ENABLE                  
  #define SYNCDB_ENABLE                   0x00000000
#endif
#if ( ASYNCDB_ENABLE + DBTRAPEX_ENABLE + SS_ENABLE + SYNCDB_ENABLE) > 0x00000060
 #error Too many exception causes defined!
#endif

// #define FPI_ENABLE                      0x00000070
// #define FPP_ENABLE                      0x00000070
 
#ifndef FPI_ENABLE                     
  #define FPI_ENABLE                      0x00000000
#endif
#ifndef FPP_ENABLE                     
  #define FPP_ENABLE                      0x00000000
#endif
#if ( FPI_ENABLE + FPP_ENABLE) > 0x00000070
 #error Too many exception causes defined!
#endif

// #define INTWDTA0_ENABLE                 0x00000120

#define INTOSTM0_ENABLE                 0x00000140  /* The OS timer interrupt */

// #define INTP0_ENABLE                    0x00000160

// #define INTP1_ENABLE                    0x00000170

// #define INTP2_ENABLE                    0x00000180

// #define INTP3_ENABLE                    0x00000190

// #define INTP4_ENABLE                    0x000001A0

// #define INTP5_ENABLE                    0x000001B0

// #define INTP6_ENABLE                    0x000001C0

// #define INTP7_ENABLE                    0x000001D0

// #define INTP8_ENABLE                    0x000001E0

// #define INTP9_ENABLE                    0x000001F0

// #define INTP10_ENABLE                   0x00000200

// #define INTP11_ENABLE                   0x00000210

// #define INTP12_ENABLE                   0x00000220

// #define INTP13_ENABLE                   0x00000230

// #define INTP14_ENABLE                   0x00000240

// #define INTP15_ENABLE                   0x00000250

// #define INTP16_ENABLE                   0x00000260

// #define INTP17_ENABLE                   0x00000270

// #define INTP18_ENABLE                   0x00000280

// #define INTP19_ENABLE                   0x00000290

// #define INTP20_ENABLE                   0x000002A0

// #define INTP21_ENABLE                   0x000002B0

// #define INTP22_ENABLE                   0x000002C0

// #define INTP23_ENABLE                   0x000002D0

// #define INTP24_ENABLE                   0x000002E0

// #define INTP25_ENABLE                   0x000002F0

// #define INTP26_ENABLE                   0x00000300

// #define INTP27_ENABLE                   0x00000310

// #define INTESO0_ENABLE                  0x00000320

// #define INTESO1_ENABLE                  0x00000330

// #define INTESO2_ENABLE                  0x00000340

// #define INTESO3_ENABLE                  0x00000350

// #define INTADCA0ERR_ENABLE              0x00000360

// #define INTADCA0I0_ENABLE               0x00000370

// #define INTADCA0I1_ENABLE               0x00000380

// #define INTADCA0I2_ENABLE               0x00000390

// #define INTTAUA0I0_ENABLE               0x000003B0

// #define INTTAUA0I1_ENABLE               0x000003C0

// #define INTTAUA0I2_ENABLE               0x000003D0

// #define INTTAUA0I3_ENABLE               0x000003E0

// #define INTTAUA0I4_ENABLE               0x000003F0

// #define INTTAUA0I5_ENABLE               0x00000400

// #define INTTAUA0I6_ENABLE               0x00000410

// #define INTTAUA0I7_ENABLE               0x00000420

// #define INTTAUA0I8_ENABLE               0x00000430

// #define INTTAUA0I9_ENABLE               0x00000440

// #define INTTAUA0I10_ENABLE              0x00000450

// #define INTTAUA0I11_ENABLE              0x00000460

// #define INTTAUA0I12_ENABLE              0x00000470

// #define INTTAUA0I13_ENABLE              0x00000480

// #define INTTAUA0I14_ENABLE              0x00000490

// #define INTTAUA0I15_ENABLE              0x000004A0

// #define INTTAUA1I0_ENABLE               0x000004B0

// #define INTTAUA1I1_ENABLE               0x000004C0

// #define INTTAUA1I2_ENABLE               0x000004D0

// #define INTTAUA1I3_ENABLE               0x000004E0

// #define INTTAUA1I4_ENABLE               0x000004F0

// #define INTTAUA1I5_ENABLE               0x00000500

// #define INTTAUA1I6_ENABLE               0x00000510

// #define INTTAUA1I7_ENABLE               0x00000520

// #define INTTAUA1I8_ENABLE               0x00000530

// #define INTTAUA1I9_ENABLE               0x00000540

// #define INTTAUA1I10_ENABLE              0x00000550

// #define INTTAUA1I11_ENABLE              0x00000560

// #define INTTAUA1I12_ENABLE              0x00000570

// #define INTTAUA1I13_ENABLE              0x00000580

// #define INTTAUA1I14_ENABLE              0x00000590

// #define INTTAUA1I15_ENABLE              0x000005A0

// #define INTTAUA2I0_ENABLE               0x000005B0

// #define INTTAUA2I1_ENABLE               0x000005C0

// #define INTTAUA2I2_ENABLE               0x000005D0

// #define INTTAUA2I3_ENABLE               0x000005E0

// #define INTTAUA2I4_ENABLE               0x000005F0

// #define INTTAUA2I5_ENABLE               0x00000600

// #define INTTAUA2I6_ENABLE               0x00000610

// #define INTTAUA2I7_ENABLE               0x00000620

// #define INTTAUA2I8_ENABLE               0x00000630

// #define INTTAUA2I9_ENABLE               0x00000640

// #define INTTAUA2I10_ENABLE              0x00000650

// #define INTTAUA2I11_ENABLE              0x00000660

// #define INTTAUA2I12_ENABLE              0x00000670

// #define INTTAUA2I13_ENABLE              0x00000680

// #define INTTAUA2I14_ENABLE              0x00000690

// #define INTTAUA2I15_ENABLE              0x000006A0

// #define INTTAUA3I0_ENABLE               0x000006B0

// #define INTTAUA3I1_ENABLE               0x000006C0

// #define INTTAUA3I2_ENABLE               0x000006D0

// #define INTTAUA3I3_ENABLE               0x000006E0

// #define INTTAUA3I4_ENABLE               0x000006F0

// #define INTTAUA3I5_ENABLE               0x00000700

// #define INTTAUA3I6_ENABLE               0x00000710

// #define INTTAUA3I7_ENABLE               0x00000720

// #define INTTAUA3I8_ENABLE               0x00000730

// #define INTTAUA3I9_ENABLE               0x00000740

// #define INTTAUA3I10_ENABLE              0x00000750

// #define INTTAUA3I11_ENABLE              0x00000760

// #define INTTAUA3I12_ENABLE              0x00000770

// #define INTTAUA3I13_ENABLE              0x00000780

// #define INTTAUA3I14_ENABLE              0x00000790

// #define INTTAUA3I15_ENABLE              0x000007A0

// #define INTTAUJ0I0_ENABLE               0x000007B0

// #define INTTAUJ0I1_ENABLE               0x000007C0

// #define INTTAUJ0I2_ENABLE               0x000007D0

// #define INTTAUJ0I3_ENABLE               0x000007E0

// #define INTENCA0IOV_ENABLE              0x000007F0

// #define INTENCA0IUD_ENABLE              0x00000800

// #define INTENCA0I0_ENABLE               0x00000810

// #define INTENCA0I1_ENABLE               0x00000820

// #define INTENCA0IEC_ENABLE              0x00000830

// #define INTENCA1IOV_ENABLE              0x00000840

// #define INTENCA1IUD_ENABLE              0x00000850

// #define INTENCA1I0_ENABLE               0x00000860

// #define INTENCA1I1_ENABLE               0x00000870

// #define INTENCA1IEC_ENABLE              0x00000880

// #define INTTAPA0IPEK0_ENABLE            0x000008B0

// #define INTTAPA0IVLY0_ENABLE            0x000008C0

// #define INTTAPA2ADOUT0_ENABLE           0x000008E0

// #define INTTAPA0ADOUT0_ENABLE           0x000008F0

// #define INTTAPA0ADOUT1_ENABLE           0x00000900

// #define INTTAPA1IPEK0_ENABLE            0x00000910

// #define INTTAPA1IVLY0_ENABLE            0x00000920

// #define INTTAPA3ADOUT0_ENABLE           0x00000940

// #define INTTAPA1ADOUT0_ENABLE           0x00000950

// #define INTTAPA1ADOUT1_ENABLE           0x00000960

// #define INTCSIH0IRE_ENABLE              0x00000970

// #define INTCSIH0IR_ENABLE               0x00000980

// #define INTCSIH0IC_ENABLE               0x00000990

// #define INTCSIH0IJC_ENABLE              0x000009A0

// #define INTCSIH1IRE_ENABLE              0x000009B0

//**** OS_UART == 1 => Enable  INTCSIH3IR_ENABLE and INTCSIH3IC_ENABLE
#if (OS_UART == 1)
  #define INTCSIH1IR_ENABLE               0x000009C0

  #define INTCSIH1IC_ENABLE               0x000009D0
#else
// #define INTCSIH1IR_ENABLE               0x000009C0

// #define INTCSIH1IC_ENABLE               0x000009D0
#endif
// #define INTCSIH1IJC_ENABLE              0x000009E0

// #define INTCSIH2IRE_ENABLE              0x000009F0

// #define INTCSIH2IR_ENABLE               0x00000A00

// #define INTCSIH2IC_ENABLE               0x00000A10

// #define INTCSIH2IJC_ENABLE              0x00000A20

// #define INTCSIH3IRE_ENABLE              0x00000A30

// ***** OS_UART == 3 => Enable  INTCSIH3IR_ENABLE and INTCSIH3IC_ENABLE
#if (OS_UART == 3)
  #define INTCSIH3IR_ENABLE               0x00000A40

  #define INTCSIH3IC_ENABLE               0x00000A50
#else
//  #define INTCSIH3IR_ENABLE               0x00000A40

//  #define INTCSIH3IC_ENABLE               0x00000A50
#endif
// #define INTCSIH3IJC_ENABLE              0x00000A60

// #define INTCSIG0IRE_ENABLE              0x00000A70

// #define INTCSIG0IR_ENABLE               0x00000A80

// #define INTCSIG0IC_ENABLE               0x00000A90

// #define INTCSIG1IRE_ENABLE              0x00000AA0

// #define INTCSIG1IR_ENABLE               0x00000AB0

// #define INTCSIG1IC_ENABLE               0x00000AC0

// #define INTCSIG2IRE_ENABLE              0x00000AD0

// #define INTCSIG2IR_ENABLE               0x00000AE0

// #define INTCSIG2IC_ENABLE               0x00000AF0

// #define INTCSIG3IRE_ENABLE              0x00000B00

// #define INTCSIG3IR_ENABLE               0x00000B10

// #define INTCSIG3IC_ENABLE               0x00000B20

// #define INTCSIG4IRE_ENABLE              0x00000B30

// #define INTCSIG4IR_ENABLE               0x00000B40

// #define INTCSIG4IC_ENABLE               0x00000B50

// #define INTCSIG5IRE_ENABLE              0x00000B60

// #define INTCSIG5IR_ENABLE               0x00000B70

// #define INTCSIG5IC_ENABLE               0x00000B80

// #define INTFCNWUP_ENABLE                0x00000B90

// #define INTETHA0SRX_ENABLE              0x00000BA0

// #define INTETHA0SCRX_ENABLE             0x00000BB0

// #define INTETHA0SCTX_ENABLE             0x00000BC0

// #define INTETHA0RS_ENABLE               0x00000BD0

// #define INTETHA0TS_ENABLE               0x00000BE0

// #define INTETHA0FS_ENABLE               0x00000BF0

// #define INTETHA0MAC_ENABLE              0x00000C00

// #define INTETHA0SCRXTCH_ENABLE          0x00000C10

// #define INTETHA0SCTXTCH_ENABLE          0x00000C20

// #define INTUSFA0I0_ENABLE               0x00000C30

// #define INTUSFA0I1_ENABLE               0x00000C40

// #define INTUSFA0I2_ENABLE               0x00000C50

// #define INTUSHA0I0_ENABLE               0x00000C60

// #define INTUSHA0I1_ENABLE               0x00000C70

// #define INTUSHA0PME_ENABLE              0x00000C80

// #define INTDMA0_ENABLE                  0x00000C90

// #define INTDMA1_ENABLE                  0x00000CA0

// #define INTDMA2_ENABLE                  0x00000CB0

// #define INTDMA3_ENABLE                  0x00000CC0

// #define INTDMA4_ENABLE                  0x00000CD0

// #define INTDMA5_ENABLE                  0x00000CE0

// #define INTDMA6_ENABLE                  0x00000CF0

// #define INTDMA7_ENABLE                  0x00000D00

// #define INTDMA8_ENABLE                  0x00000D10

// #define INTDMA9_ENABLE                  0x00000D20

// #define INTDMA10_ENABLE                 0x00000D30

// #define INTDMA11_ENABLE                 0x00000D40

// #define INTDMA12_ENABLE                 0x00000D50

// #define INTDMA13_ENABLE                 0x00000D60

// #define INTDMA14_ENABLE                 0x00000D70

// #define INTDMA15_ENABLE                 0x00000D80

// #define INTDMACT0_ENABLE                0x00000D90

// #define INTDMACT1_ENABLE                0x00000DA0

// #define INTDMACT2_ENABLE                0x00000DB0

// #define INTDMACT3_ENABLE                0x00000DC0

// #define INTDMACT4_ENABLE                0x00000DD0

// #define INTDMACT5_ENABLE                0x00000DE0

// #define INTDMACT6_ENABLE                0x00000DF0

// #define INTDMACT7_ENABLE                0x00000E00

// #define INTDMACT8_ENABLE                0x00000E10

// #define INTDMACT9_ENABLE                0x00000E20

// #define INTDMACT10_ENABLE               0x00000E30

// #define INTDMACT11_ENABLE               0x00000E40

// #define INTDMACT12_ENABLE               0x00000E50

// #define INTDMACT13_ENABLE               0x00000E60

// #define INTDMACT14_ENABLE               0x00000E70

// #define INTDMACT15_ENABLE               0x00000E80

// #define INTHDMAERR_ENABLE               0x00000E90

// #define INTHDMA0_ENABLE                 0x00000EA0

// #define INTHDMA1_ENABLE                 0x00000EB0

// #define INTHDMA2_ENABLE                 0x00000EC0

// #define INTHDMA3_ENABLE                 0x00000ED0

// #define INTHDMA4_ENABLE                 0x00000EE0

// #define INTHDMA5_ENABLE                 0x00000EF0

// #define INTHDMA6_ENABLE                 0x00000F00



#endif /* __uPD70F3512_IRQ_H */
