/************************************************************************/
/*                          DF3718.h                                    */
/*                                                                      */
/*  NEC V850 microcontroller device uPD70F3718                          */
/*                                                                      */
/*  Declarations of I/O Registers                                       */
/*                                                                      */
/*                                                                      */
/*  Copyright (C) NEC Corporation 2005                                  */
/*  This file was created from device file DF3718.800       [V1.00 ]    */
/*  by DeFiX V1.21                                                      */
/*                                                                      */
/*  This file is only intended as a sample supplement to NEC tools.     */
/*  Feel free to adapt it to your own needs.                            */
/*  This File is provided 'as is' without warranty of any kind.         */
/*  Neither NEC nor their sales representatives can be held liable      */
/*  of any inconvenience or problem caused by its contents.             */
/************************************************************************/

#ifndef __uPD70F3718_H
#define __uPD70F3718_H

/* I/O register */

#ifdef __LANGUAGE_ASM__
   #define CAST_UC(x) x
   #define CAST_US(x) x
   #define CAST_UL(x) x
#else
   #define CAST_UC(x) *((volatile unsigned char  *)x)
   #define CAST_US(x) *((volatile unsigned short *)x)
   #define CAST_UL(x) *((volatile unsigned long  *)x)

   struct bitf {
      unsigned char bit00:1;
      unsigned char bit01:1;
      unsigned char bit02:1;
      unsigned char bit03:1;
      unsigned char bit04:1;
      unsigned char bit05:1;
      unsigned char bit06:1;
      unsigned char bit07:1;
      unsigned char bit08:1;
      unsigned char bit09:1;
      unsigned char bit10:1;
      unsigned char bit11:1;
      unsigned char bit12:1;
      unsigned char bit13:1;
      unsigned char bit14:1;
      unsigned char bit15:1;
   };
#endif

#define	PDL              CAST_US(0xfffff004)
#define	PDLL             CAST_UC(0xfffff004)
#define	PDLH             CAST_UC(0xfffff005)
#define	PDH              CAST_UC(0xfffff006)
#define	PCT              CAST_UC(0xfffff00a)
#define	PCM              CAST_UC(0xfffff00c)
#define	PMDL             CAST_US(0xfffff024)
#define	PMDLL            CAST_UC(0xfffff024)
#define	PMDLH            CAST_UC(0xfffff025)
#define	PMDH             CAST_UC(0xfffff026)
#define	PMCT             CAST_UC(0xfffff02a)
#define	PMCM             CAST_UC(0xfffff02c)
#define	PMCDL            CAST_US(0xfffff044)
#define	PMCDLL           CAST_UC(0xfffff044)
#define	PMCDLH           CAST_UC(0xfffff045)
#define	PMCDH            CAST_UC(0xfffff046)
#define	PMCCT            CAST_UC(0xfffff04a)
#define	PMCCM            CAST_UC(0xfffff04c)
#define	BSC              CAST_US(0xfffff066)
#define	VSWC             CAST_UC(0xfffff06e)
#define	DSA0L            CAST_US(0xfffff080)
#define	DSA0H            CAST_US(0xfffff082)
#define	DDA0L            CAST_US(0xfffff084)
#define	DDA0H            CAST_US(0xfffff086)
#define	DSA1L            CAST_US(0xfffff088)
#define	DSA1H            CAST_US(0xfffff08a)
#define	DDA1L            CAST_US(0xfffff08c)
#define	DDA1H            CAST_US(0xfffff08e)
#define	DSA2L            CAST_US(0xfffff090)
#define	DSA2H            CAST_US(0xfffff092)
#define	DDA2L            CAST_US(0xfffff094)
#define	DDA2H            CAST_US(0xfffff096)
#define	DSA3L            CAST_US(0xfffff098)
#define	DSA3H            CAST_US(0xfffff09a)
#define	DDA3L            CAST_US(0xfffff09c)
#define	DDA3H            CAST_US(0xfffff09e)
#define	DBC0             CAST_US(0xfffff0c0)
#define	DBC1             CAST_US(0xfffff0c2)
#define	DBC2             CAST_US(0xfffff0c4)
#define	DBC3             CAST_US(0xfffff0c6)
#define	DADC0            CAST_US(0xfffff0d0)
#define	DADC1            CAST_US(0xfffff0d2)
#define	DADC2            CAST_US(0xfffff0d4)
#define	DADC3            CAST_US(0xfffff0d6)
#define	DCHC0            CAST_UC(0xfffff0e0)
#define	DCHC1            CAST_UC(0xfffff0e2)
#define	DCHC2            CAST_UC(0xfffff0e4)
#define	DCHC3            CAST_UC(0xfffff0e6)
#define	IMR0             CAST_US(0xfffff100)
#define	IMR0L            CAST_UC(0xfffff100)
#define	IMR0H            CAST_UC(0xfffff101)
#define	IMR1             CAST_US(0xfffff102)
#define	IMR1L            CAST_UC(0xfffff102)
#define	IMR1H            CAST_UC(0xfffff103)
#define	IMR2             CAST_US(0xfffff104)
#define	IMR2L            CAST_UC(0xfffff104)
#define	IMR2H            CAST_UC(0xfffff105)
#define	IMR3             CAST_US(0xfffff106)
#define	IMR3L            CAST_UC(0xfffff106)
#define	IMR3H            CAST_UC(0xfffff107)
#define	LVIIC            CAST_UC(0xfffff110)
#define	PIC0             CAST_UC(0xfffff112)
#define	PIC1             CAST_UC(0xfffff114)
#define	PIC2             CAST_UC(0xfffff116)
#define	PIC3             CAST_UC(0xfffff118)
#define	PIC4             CAST_UC(0xfffff11a)
#define	PIC5             CAST_UC(0xfffff11c)
#define	PIC6             CAST_UC(0xfffff11e)
#define	PIC7             CAST_UC(0xfffff120)
#define	TQ0OVIC          CAST_UC(0xfffff122)
#define	TQ0CCIC0         CAST_UC(0xfffff124)
#define	TQ0CCIC1         CAST_UC(0xfffff126)
#define	TQ0CCIC2         CAST_UC(0xfffff128)
#define	TQ0CCIC3         CAST_UC(0xfffff12a)
#define	TP0OVIC          CAST_UC(0xfffff12c)
#define	TP0CCIC0         CAST_UC(0xfffff12e)
#define	TP0CCIC1         CAST_UC(0xfffff130)
#define	TP1OVIC          CAST_UC(0xfffff132)
#define	TP1CCIC0         CAST_UC(0xfffff134)
#define	TP1CCIC1         CAST_UC(0xfffff136)
#define	TP2OVIC          CAST_UC(0xfffff138)
#define	TP2CCIC0         CAST_UC(0xfffff13a)
#define	TP2CCIC1         CAST_UC(0xfffff13c)
#define	TP3OVIC          CAST_UC(0xfffff13e)
#define	TP3CCIC0         CAST_UC(0xfffff140)
#define	TP3CCIC1         CAST_UC(0xfffff142)
#define	TP4OVIC          CAST_UC(0xfffff144)
#define	TP4CCIC0         CAST_UC(0xfffff146)
#define	TP4CCIC1         CAST_UC(0xfffff148)
#define	TP5OVIC          CAST_UC(0xfffff14a)
#define	TP5CCIC0         CAST_UC(0xfffff14c)
#define	TP5CCIC1         CAST_UC(0xfffff14e)
#define	TM0EQIC0         CAST_UC(0xfffff150)
#define	CB0RIC           CAST_UC(0xfffff152)
#define	IICIC1           CAST_UC(0xfffff152)
#define	CB0TIC           CAST_UC(0xfffff154)
#define	CB1RIC           CAST_UC(0xfffff156)
#define	CB1TIC           CAST_UC(0xfffff158)
#define	CB2RIC           CAST_UC(0xfffff15a)
#define	CB2TIC           CAST_UC(0xfffff15c)
#define	CB3RIC           CAST_UC(0xfffff15e)
#define	CB3TIC           CAST_UC(0xfffff160)
#define	CB4RIC           CAST_UC(0xfffff162)
#define	UA0RIC           CAST_UC(0xfffff162)
#define	CB4TIC           CAST_UC(0xfffff164)
#define	UA0TIC           CAST_UC(0xfffff164)
#define	IICIC2           CAST_UC(0xfffff166)
#define	UA1RIC           CAST_UC(0xfffff166)
#define	UA1TIC           CAST_UC(0xfffff168)
#define	IICIC0           CAST_UC(0xfffff16a)
#define	UA2RIC           CAST_UC(0xfffff16a)
#define	UA2TIC           CAST_UC(0xfffff16c)
#define	ADIC             CAST_UC(0xfffff16e)
#define	DMAIC0           CAST_UC(0xfffff170)
#define	DMAIC1           CAST_UC(0xfffff172)
#define	DMAIC2           CAST_UC(0xfffff174)
#define	DMAIC3           CAST_UC(0xfffff176)
#define	KRIC             CAST_UC(0xfffff178)
#define	WTIIC            CAST_UC(0xfffff17a)
#define	WTIC             CAST_UC(0xfffff17c)
#define	ISPR             CAST_UC(0xfffff1fa)
#define	PRCMD            CAST_UC(0xfffff1fc)
#define	PSC              CAST_UC(0xfffff1fe)
#define	ADA0M0           CAST_UC(0xfffff200)
#define	ADA0M1           CAST_UC(0xfffff201)
#define	ADA0S            CAST_UC(0xfffff202)
#define	ADA0M2           CAST_UC(0xfffff203)
#define	ADA0PFM          CAST_UC(0xfffff204)
#define	ADA0PFT          CAST_UC(0xfffff205)
#define	ADA0CR0          CAST_US(0xfffff210)
#define	ADA0CR0H         CAST_UC(0xfffff211)
#define	ADA0CR1          CAST_US(0xfffff212)
#define	ADA0CR1H         CAST_UC(0xfffff213)
#define	ADA0CR2          CAST_US(0xfffff214)
#define	ADA0CR2H         CAST_UC(0xfffff215)
#define	ADA0CR3          CAST_US(0xfffff216)
#define	ADA0CR3H         CAST_UC(0xfffff217)
#define	ADA0CR4          CAST_US(0xfffff218)
#define	ADA0CR4H         CAST_UC(0xfffff219)
#define	ADA0CR5          CAST_US(0xfffff21a)
#define	ADA0CR5H         CAST_UC(0xfffff21b)
#define	ADA0CR6          CAST_US(0xfffff21c)
#define	ADA0CR6H         CAST_UC(0xfffff21d)
#define	ADA0CR7          CAST_US(0xfffff21e)
#define	ADA0CR7H         CAST_UC(0xfffff21f)
#define	ADA0CR8          CAST_US(0xfffff220)
#define	ADA0CR8H         CAST_UC(0xfffff221)
#define	ADA0CR9          CAST_US(0xfffff222)
#define	ADA0CR9H         CAST_UC(0xfffff223)
#define	ADA0CR10         CAST_US(0xfffff224)
#define	ADA0CR10H        CAST_UC(0xfffff225)
#define	ADA0CR11         CAST_US(0xfffff226)
#define	ADA0CR11H        CAST_UC(0xfffff227)
#define	DA0CS0           CAST_UC(0xfffff280)
#define	DA0CS1           CAST_UC(0xfffff281)
#define	DA0M             CAST_UC(0xfffff282)
#define	KRM              CAST_UC(0xfffff300)
#define	SELCNT0          CAST_UC(0xfffff308)
#define	NFC              CAST_UC(0xfffff318)
#define	PRSM1            CAST_UC(0xfffff320)
#define	PRSCM1           CAST_UC(0xfffff321)
#define	PRSM2            CAST_UC(0xfffff324)
#define	PRSCM2           CAST_UC(0xfffff325)
#define	PRSM3            CAST_UC(0xfffff328)
#define	PRSCM3           CAST_UC(0xfffff329)
#define	OCKS0            CAST_UC(0xfffff340)
#define	OCKS1            CAST_UC(0xfffff344)
#define	P0               CAST_UC(0xfffff400)
#define	P1               CAST_UC(0xfffff402)
#define	P3               CAST_US(0xfffff406)
#define	P3L              CAST_UC(0xfffff406)
#define	P3H              CAST_UC(0xfffff407)
#define	P4               CAST_UC(0xfffff408)
#define	P5               CAST_UC(0xfffff40a)
#define	P7L              CAST_UC(0xfffff40e)
#define	P7H              CAST_UC(0xfffff40f)
#define	P9               CAST_US(0xfffff412)
#define	P9L              CAST_UC(0xfffff412)
#define	P9H              CAST_UC(0xfffff413)
#define	PM0              CAST_UC(0xfffff420)
#define	PM1              CAST_UC(0xfffff422)
#define	PM3              CAST_US(0xfffff426)
#define	PM3L             CAST_UC(0xfffff426)
#define	PM3H             CAST_UC(0xfffff427)
#define	PM4              CAST_UC(0xfffff428)
#define	PM5              CAST_UC(0xfffff42a)
#define	PM7L             CAST_UC(0xfffff42e)
#define	PM7H             CAST_UC(0xfffff42f)
#define	PM9              CAST_US(0xfffff432)
#define	PM9L             CAST_UC(0xfffff432)
#define	PM9H             CAST_UC(0xfffff433)
#define	PMC0             CAST_UC(0xfffff440)
#define	PMC3             CAST_US(0xfffff446)
#define	PMC3L            CAST_UC(0xfffff446)
#define	PMC3H            CAST_UC(0xfffff447)
#define	PMC4             CAST_UC(0xfffff448)
#define	PMC5             CAST_UC(0xfffff44a)
#define	PMC9             CAST_US(0xfffff452)
#define	PMC9L            CAST_UC(0xfffff452)
#define	PMC9H            CAST_UC(0xfffff453)
#define	PFC0             CAST_UC(0xfffff460)
#define	PFC3             CAST_US(0xfffff466)
#define	PFC3L            CAST_UC(0xfffff466)
#define	PFC3H            CAST_UC(0xfffff467)
#define	PFC4             CAST_UC(0xfffff468)
#define	PFC5             CAST_UC(0xfffff46a)
#define	PFC9             CAST_US(0xfffff472)
#define	PFC9L            CAST_UC(0xfffff472)
#define	PFC9H            CAST_UC(0xfffff473)
#define	DWC0             CAST_US(0xfffff484)
#define	AWC              CAST_US(0xfffff488)
#define	BCC              CAST_US(0xfffff48a)
#define	TQ0CTL0          CAST_UC(0xfffff540)
#define	TQ0CTL1          CAST_UC(0xfffff541)
#define	TQ0IOC0          CAST_UC(0xfffff542)
#define	TQ0IOC1          CAST_UC(0xfffff543)
#define	TQ0IOC2          CAST_UC(0xfffff544)
#define	TQ0OPT0          CAST_UC(0xfffff545)
#define	TQ0CCR0          CAST_US(0xfffff546)
#define	TQ0CCR1          CAST_US(0xfffff548)
#define	TQ0CCR2          CAST_US(0xfffff54a)
#define	TQ0CCR3          CAST_US(0xfffff54c)
#define	TQ0CNT           CAST_US(0xfffff54e)
#define	TP0CTL0          CAST_UC(0xfffff590)
#define	TP0CTL1          CAST_UC(0xfffff591)
#define	TP0IOC0          CAST_UC(0xfffff592)
#define	TP0IOC1          CAST_UC(0xfffff593)
#define	TP0IOC2          CAST_UC(0xfffff594)
#define	TP0OPT0          CAST_UC(0xfffff595)
#define	TP0CCR0          CAST_US(0xfffff596)
#define	TP0CCR1          CAST_US(0xfffff598)
#define	TP0CNT           CAST_US(0xfffff59a)
#define	TP1CTL0          CAST_UC(0xfffff5a0)
#define	TP1CTL1          CAST_UC(0xfffff5a1)
#define	TP1IOC0          CAST_UC(0xfffff5a2)
#define	TP1IOC1          CAST_UC(0xfffff5a3)
#define	TP1IOC2          CAST_UC(0xfffff5a4)
#define	TP1OPT0          CAST_UC(0xfffff5a5)
#define	TP1CCR0          CAST_US(0xfffff5a6)
#define	TP1CCR1          CAST_US(0xfffff5a8)
#define	TP1CNT           CAST_US(0xfffff5aa)
#define	TP2CTL0          CAST_UC(0xfffff5b0)
#define	TP2CTL1          CAST_UC(0xfffff5b1)
#define	TP2IOC0          CAST_UC(0xfffff5b2)
#define	TP2IOC1          CAST_UC(0xfffff5b3)
#define	TP2IOC2          CAST_UC(0xfffff5b4)
#define	TP2OPT0          CAST_UC(0xfffff5b5)
#define	TP2CCR0          CAST_US(0xfffff5b6)
#define	TP2CCR1          CAST_US(0xfffff5b8)
#define	TP2CNT           CAST_US(0xfffff5ba)
#define	TP3CTL0          CAST_UC(0xfffff5c0)
#define	TP3CTL1          CAST_UC(0xfffff5c1)
#define	TP3IOC0          CAST_UC(0xfffff5c2)
#define	TP3IOC1          CAST_UC(0xfffff5c3)
#define	TP3IOC2          CAST_UC(0xfffff5c4)
#define	TP3OPT0          CAST_UC(0xfffff5c5)
#define	TP3CCR0          CAST_US(0xfffff5c6)
#define	TP3CCR1          CAST_US(0xfffff5c8)
#define	TP3CNT           CAST_US(0xfffff5ca)
#define	TP4CTL0          CAST_UC(0xfffff5d0)
#define	TP4CTL1          CAST_UC(0xfffff5d1)
#define	TP4IOC0          CAST_UC(0xfffff5d2)
#define	TP4IOC1          CAST_UC(0xfffff5d3)
#define	TP4IOC2          CAST_UC(0xfffff5d4)
#define	TP4OPT0          CAST_UC(0xfffff5d5)
#define	TP4CCR0          CAST_US(0xfffff5d6)
#define	TP4CCR1          CAST_US(0xfffff5d8)
#define	TP4CNT           CAST_US(0xfffff5da)
#define	TP5CTL0          CAST_UC(0xfffff5e0)
#define	TP5CTL1          CAST_UC(0xfffff5e1)
#define	TP5IOC0          CAST_UC(0xfffff5e2)
#define	TP5IOC1          CAST_UC(0xfffff5e3)
#define	TP5IOC2          CAST_UC(0xfffff5e4)
#define	TP5OPT0          CAST_UC(0xfffff5e5)
#define	TP5CCR0          CAST_US(0xfffff5e6)
#define	TP5CCR1          CAST_US(0xfffff5e8)
#define	TP5CNT           CAST_US(0xfffff5ea)
#define	WTM              CAST_UC(0xfffff680)
#define	TM0CTL0          CAST_UC(0xfffff690)
#define	TM0CMP0          CAST_US(0xfffff694)
#define	OSTS             CAST_UC(0xfffff6c0)
#define	PLLS             CAST_UC(0xfffff6c1)
#define	WDTM2            CAST_UC(0xfffff6d0)
#define	WDTE             CAST_UC(0xfffff6d1)
#define	RTBL0            CAST_UC(0xfffff6e0)
#define	RTBH0            CAST_UC(0xfffff6e2)
#define	RTPM0            CAST_UC(0xfffff6e4)
#define	RTPC0            CAST_UC(0xfffff6e5)
#define	PFCE3L           CAST_UC(0xfffff706)
#define	PFCE5            CAST_UC(0xfffff70a)
#define	PFCE9            CAST_US(0xfffff712)
#define	PFCE9L           CAST_UC(0xfffff712)
#define	PFCE9H           CAST_UC(0xfffff713)
#define	SYS              CAST_UC(0xfffff802)
#define	RCM              CAST_UC(0xfffff80c)
#define	DTFR0            CAST_UC(0xfffff810)
#define	DTFR1            CAST_UC(0xfffff812)
#define	DTFR2            CAST_UC(0xfffff814)
#define	DTFR3            CAST_UC(0xfffff816)
#define	PSMR             CAST_UC(0xfffff820)
#define	CKC              CAST_UC(0xfffff822)
#define	LOCKR            CAST_UC(0xfffff824)
#define	PCC              CAST_UC(0xfffff828)
#define	PLLCTL           CAST_UC(0xfffff82c)
#define	CCLS             CAST_UC(0xfffff82e)
#define	CLM              CAST_UC(0xfffff870)
#define	RESF             CAST_UC(0xfffff888)
#define	LVIM             CAST_UC(0xfffff890)
#define	LVIS             CAST_UC(0xfffff891)
#define	RAMS             CAST_UC(0xfffff892)
#define	PRSM0            CAST_UC(0xfffff8b0)
#define	PRSCM0           CAST_UC(0xfffff8b1)
#define	OCDM             CAST_UC(0xfffff9fc)
#define	PEMU1            CAST_UC(0xfffff9fe)
#define	UA0CTL0          CAST_UC(0xfffffa00)
#define	UA0CTL1          CAST_UC(0xfffffa01)
#define	UA0CTL2          CAST_UC(0xfffffa02)
#define	UA0OPT0          CAST_UC(0xfffffa03)
#define	UA0STR           CAST_UC(0xfffffa04)
#define	UA0RX            CAST_UC(0xfffffa06)
#define	UA0TX            CAST_UC(0xfffffa07)
#define	UA1CTL0          CAST_UC(0xfffffa10)
#define	UA1CTL1          CAST_UC(0xfffffa11)
#define	UA1CTL2          CAST_UC(0xfffffa12)
#define	UA1OPT0          CAST_UC(0xfffffa13)
#define	UA1STR           CAST_UC(0xfffffa14)
#define	UA1RX            CAST_UC(0xfffffa16)
#define	UA1TX            CAST_UC(0xfffffa17)
#define	UA2CTL0          CAST_UC(0xfffffa20)
#define	UA2CTL1          CAST_UC(0xfffffa21)
#define	UA2CTL2          CAST_UC(0xfffffa22)
#define	UA2OPT0          CAST_UC(0xfffffa23)
#define	UA2STR           CAST_UC(0xfffffa24)
#define	UA2RX            CAST_UC(0xfffffa26)
#define	UA2TX            CAST_UC(0xfffffa27)
#define	INTF0            CAST_UC(0xfffffc00)
#define	INTF3            CAST_UC(0xfffffc06)
#define	INTF9H           CAST_UC(0xfffffc13)
#define	INTR0            CAST_UC(0xfffffc20)
#define	INTR3            CAST_UC(0xfffffc26)
#define	INTR9H           CAST_UC(0xfffffc33)
#define	PF0              CAST_UC(0xfffffc60)
#define	PF3              CAST_US(0xfffffc66)
#define	PF3L             CAST_UC(0xfffffc66)
#define	PF3H             CAST_UC(0xfffffc67)
#define	PF4              CAST_UC(0xfffffc68)
#define	PF5              CAST_UC(0xfffffc6a)
#define	PF9              CAST_US(0xfffffc72)
#define	PF9L             CAST_UC(0xfffffc72)
#define	PF9H             CAST_UC(0xfffffc73)
#define	CB0CTL0          CAST_UC(0xfffffd00)
#define	CB0CTL1          CAST_UC(0xfffffd01)
#define	CB0CTL2          CAST_UC(0xfffffd02)
#define	CB0STR           CAST_UC(0xfffffd03)
#define	CB0RX            CAST_US(0xfffffd04)
#define	CB0RXL           CAST_UC(0xfffffd04)
#define	CB0TX            CAST_US(0xfffffd06)
#define	CB0TXL           CAST_UC(0xfffffd06)
#define	CB1CTL0          CAST_UC(0xfffffd10)
#define	CB1CTL1          CAST_UC(0xfffffd11)
#define	CB1CTL2          CAST_UC(0xfffffd12)
#define	CB1STR           CAST_UC(0xfffffd13)
#define	CB1RX            CAST_US(0xfffffd14)
#define	CB1RXL           CAST_UC(0xfffffd14)
#define	CB1TX            CAST_US(0xfffffd16)
#define	CB1TXL           CAST_UC(0xfffffd16)
#define	CB2CTL0          CAST_UC(0xfffffd20)
#define	CB2CTL1          CAST_UC(0xfffffd21)
#define	CB2CTL2          CAST_UC(0xfffffd22)
#define	CB2STR           CAST_UC(0xfffffd23)
#define	CB2RX            CAST_US(0xfffffd24)
#define	CB2RXL           CAST_UC(0xfffffd24)
#define	CB2TX            CAST_US(0xfffffd26)
#define	CB2TXL           CAST_UC(0xfffffd26)
#define	CB3CTL0          CAST_UC(0xfffffd30)
#define	CB3CTL1          CAST_UC(0xfffffd31)
#define	CB3CTL2          CAST_UC(0xfffffd32)
#define	CB3STR           CAST_UC(0xfffffd33)
#define	CB3RX            CAST_US(0xfffffd34)
#define	CB3RXL           CAST_UC(0xfffffd34)
#define	CB3TX            CAST_US(0xfffffd36)
#define	CB3TXL           CAST_UC(0xfffffd36)
#define	CB4CTL0          CAST_UC(0xfffffd40)
#define	CB4CTL1          CAST_UC(0xfffffd41)
#define	CB4CTL2          CAST_UC(0xfffffd42)
#define	CB4STR           CAST_UC(0xfffffd43)
#define	CB4RX            CAST_US(0xfffffd44)
#define	CB4RXL           CAST_UC(0xfffffd44)
#define	CB4TX            CAST_US(0xfffffd46)
#define	CB4TXL           CAST_UC(0xfffffd46)
#define	IIC0             CAST_UC(0xfffffd80)
#define	IICC0            CAST_UC(0xfffffd82)
#define	SVA0             CAST_UC(0xfffffd83)
#define	IICCL0           CAST_UC(0xfffffd84)
#define	IICX0            CAST_UC(0xfffffd85)
#define	IICS0            CAST_UC(0xfffffd86)
#define	IICF0            CAST_UC(0xfffffd8a)
#define	IIC1             CAST_UC(0xfffffd90)
#define	IICC1            CAST_UC(0xfffffd92)
#define	SVA1             CAST_UC(0xfffffd93)
#define	IICCL1           CAST_UC(0xfffffd94)
#define	IICX1            CAST_UC(0xfffffd95)
#define	IICS1            CAST_UC(0xfffffd96)
#define	IICF1            CAST_UC(0xfffffd9a)
#define	IIC2             CAST_UC(0xfffffda0)
#define	IICC2            CAST_UC(0xfffffda2)
#define	SVA2             CAST_UC(0xfffffda3)
#define	IICCL2           CAST_UC(0xfffffda4)
#define	IICX2            CAST_UC(0xfffffda5)
#define	IICS2            CAST_UC(0xfffffda6)
#define	IICF2            CAST_UC(0xfffffdaa)
#define	EXIMC            CAST_UC(0xffffffbe)


/* I/O register bit */

#ifdef __LANGUAGE_ASM__
#else

   #define	_E00              ((volatile struct bitf *)0xfffff0e0)->bit00
   #define	_STG0             ((volatile struct bitf *)0xfffff0e0)->bit01
   #define	_INIT0            ((volatile struct bitf *)0xfffff0e0)->bit02
   #define	_TC0              ((volatile struct bitf *)0xfffff0e0)->bit07

   #define	_E11              ((volatile struct bitf *)0xfffff0e2)->bit00
   #define	_STG1             ((volatile struct bitf *)0xfffff0e2)->bit01
   #define	_INIT1            ((volatile struct bitf *)0xfffff0e2)->bit02
   #define	_TC1              ((volatile struct bitf *)0xfffff0e2)->bit07

   #define	_E22              ((volatile struct bitf *)0xfffff0e4)->bit00
   #define	_STG2             ((volatile struct bitf *)0xfffff0e4)->bit01
   #define	_INIT2            ((volatile struct bitf *)0xfffff0e4)->bit02
   #define	_TC2              ((volatile struct bitf *)0xfffff0e4)->bit07

   #define	_E33              ((volatile struct bitf *)0xfffff0e6)->bit00
   #define	_STG3             ((volatile struct bitf *)0xfffff0e6)->bit01
   #define	_INIT3            ((volatile struct bitf *)0xfffff0e6)->bit02
   #define	_TC3              ((volatile struct bitf *)0xfffff0e6)->bit07

   #define	_LVIMK            ((volatile struct bitf *)0xfffff110)->bit06
   #define	_LVIIF            ((volatile struct bitf *)0xfffff110)->bit07

   #define	_PMK0             ((volatile struct bitf *)0xfffff112)->bit06
   #define	_PIF0             ((volatile struct bitf *)0xfffff112)->bit07

   #define	_PMK1             ((volatile struct bitf *)0xfffff114)->bit06
   #define	_PIF1             ((volatile struct bitf *)0xfffff114)->bit07

   #define	_PMK2             ((volatile struct bitf *)0xfffff116)->bit06
   #define	_PIF2             ((volatile struct bitf *)0xfffff116)->bit07

   #define	_PMK3             ((volatile struct bitf *)0xfffff118)->bit06
   #define	_PIF3             ((volatile struct bitf *)0xfffff118)->bit07

   #define	_PMK4             ((volatile struct bitf *)0xfffff11a)->bit06
   #define	_PIF4             ((volatile struct bitf *)0xfffff11a)->bit07

   #define	_PMK5             ((volatile struct bitf *)0xfffff11c)->bit06
   #define	_PIF5             ((volatile struct bitf *)0xfffff11c)->bit07

   #define	_PMK6             ((volatile struct bitf *)0xfffff11e)->bit06
   #define	_PIF6             ((volatile struct bitf *)0xfffff11e)->bit07

   #define	_PMK7             ((volatile struct bitf *)0xfffff120)->bit06
   #define	_PIF7             ((volatile struct bitf *)0xfffff120)->bit07

   #define	_TQ0OVMK          ((volatile struct bitf *)0xfffff122)->bit06
   #define	_TQ0OVIF          ((volatile struct bitf *)0xfffff122)->bit07

   #define	_TQ0CCMK0         ((volatile struct bitf *)0xfffff124)->bit06
   #define	_TQ0CCIF0         ((volatile struct bitf *)0xfffff124)->bit07

   #define	_TQ0CCMK1         ((volatile struct bitf *)0xfffff126)->bit06
   #define	_TQ0CCIF1         ((volatile struct bitf *)0xfffff126)->bit07

   #define	_TQ0CCMK2         ((volatile struct bitf *)0xfffff128)->bit06
   #define	_TQ0CCIF2         ((volatile struct bitf *)0xfffff128)->bit07

   #define	_TQ0CCMK3         ((volatile struct bitf *)0xfffff12a)->bit06
   #define	_TQ0CCIF3         ((volatile struct bitf *)0xfffff12a)->bit07

   #define	_TP0OVMK          ((volatile struct bitf *)0xfffff12c)->bit06
   #define	_TP0OVIF          ((volatile struct bitf *)0xfffff12c)->bit07

   #define	_TP0CCMK0         ((volatile struct bitf *)0xfffff12e)->bit06
   #define	_TP0CCIF0         ((volatile struct bitf *)0xfffff12e)->bit07

   #define	_TP0CCMK1         ((volatile struct bitf *)0xfffff130)->bit06
   #define	_TP0CCIF1         ((volatile struct bitf *)0xfffff130)->bit07

   #define	_TP1OVMK          ((volatile struct bitf *)0xfffff132)->bit06
   #define	_TP1OVIF          ((volatile struct bitf *)0xfffff132)->bit07

   #define	_TP1CCMK0         ((volatile struct bitf *)0xfffff134)->bit06
   #define	_TP1CCIF0         ((volatile struct bitf *)0xfffff134)->bit07

   #define	_TP1CCMK1         ((volatile struct bitf *)0xfffff136)->bit06
   #define	_TP1CCIF1         ((volatile struct bitf *)0xfffff136)->bit07

   #define	_TP2OVMK          ((volatile struct bitf *)0xfffff138)->bit06
   #define	_TP2OVIF          ((volatile struct bitf *)0xfffff138)->bit07

   #define	_TP2CCMK0         ((volatile struct bitf *)0xfffff13a)->bit06
   #define	_TP2CCIF0         ((volatile struct bitf *)0xfffff13a)->bit07

   #define	_TP2CCMK1         ((volatile struct bitf *)0xfffff13c)->bit06
   #define	_TP2CCIF1         ((volatile struct bitf *)0xfffff13c)->bit07

   #define	_TP3OVMK          ((volatile struct bitf *)0xfffff13e)->bit06
   #define	_TP3OVIF          ((volatile struct bitf *)0xfffff13e)->bit07

   #define	_TP3CCMK0         ((volatile struct bitf *)0xfffff140)->bit06
   #define	_TP3CCIF0         ((volatile struct bitf *)0xfffff140)->bit07

   #define	_TP3CCMK1         ((volatile struct bitf *)0xfffff142)->bit06
   #define	_TP3CCIF1         ((volatile struct bitf *)0xfffff142)->bit07

   #define	_TP4OVMK          ((volatile struct bitf *)0xfffff144)->bit06
   #define	_TP4OVIF          ((volatile struct bitf *)0xfffff144)->bit07

   #define	_TP4CCMK0         ((volatile struct bitf *)0xfffff146)->bit06
   #define	_TP4CCIF0         ((volatile struct bitf *)0xfffff146)->bit07

   #define	_TP4CCMK1         ((volatile struct bitf *)0xfffff148)->bit06
   #define	_TP4CCIF1         ((volatile struct bitf *)0xfffff148)->bit07

   #define	_TP5OVMK          ((volatile struct bitf *)0xfffff14a)->bit06
   #define	_TP5OVIF          ((volatile struct bitf *)0xfffff14a)->bit07

   #define	_TP5CCMK0         ((volatile struct bitf *)0xfffff14c)->bit06
   #define	_TP5CCIF0         ((volatile struct bitf *)0xfffff14c)->bit07

   #define	_TP5CCMK1         ((volatile struct bitf *)0xfffff14e)->bit06
   #define	_TP5CCIF1         ((volatile struct bitf *)0xfffff14e)->bit07

   #define	_TM0EQMK0         ((volatile struct bitf *)0xfffff150)->bit06
   #define	_TM0EQIF0         ((volatile struct bitf *)0xfffff150)->bit07

   #define	_CB0RMK           ((volatile struct bitf *)0xfffff152)->bit06
   #define	_CB0RIF           ((volatile struct bitf *)0xfffff152)->bit07

   #define	_CB0TMK           ((volatile struct bitf *)0xfffff154)->bit06
   #define	_CB0TIF           ((volatile struct bitf *)0xfffff154)->bit07

   #define	_CB1RMK           ((volatile struct bitf *)0xfffff156)->bit06
   #define	_CB1RIF           ((volatile struct bitf *)0xfffff156)->bit07

   #define	_CB1TMK           ((volatile struct bitf *)0xfffff158)->bit06
   #define	_CB1TIF           ((volatile struct bitf *)0xfffff158)->bit07

   #define	_CB2RMK           ((volatile struct bitf *)0xfffff15a)->bit06
   #define	_CB2RIF           ((volatile struct bitf *)0xfffff15a)->bit07

   #define	_CB2TMK           ((volatile struct bitf *)0xfffff15c)->bit06
   #define	_CB2TIF           ((volatile struct bitf *)0xfffff15c)->bit07

   #define	_CB3RMK           ((volatile struct bitf *)0xfffff15e)->bit06
   #define	_CB3RIF           ((volatile struct bitf *)0xfffff15e)->bit07

   #define	_CB3TMK           ((volatile struct bitf *)0xfffff160)->bit06
   #define	_CB3TIF           ((volatile struct bitf *)0xfffff160)->bit07

   #define	_CB4RMK           ((volatile struct bitf *)0xfffff162)->bit06
   #define	_CB4RIF           ((volatile struct bitf *)0xfffff162)->bit07

   #define	_CB4TMK           ((volatile struct bitf *)0xfffff164)->bit06
   #define	_CB4TIF           ((volatile struct bitf *)0xfffff164)->bit07

   #define	_IICMK2           ((volatile struct bitf *)0xfffff166)->bit06
   #define	_IICIF2           ((volatile struct bitf *)0xfffff166)->bit07

   #define	_UA1TMK           ((volatile struct bitf *)0xfffff168)->bit06
   #define	_UA1TIF           ((volatile struct bitf *)0xfffff168)->bit07

   #define	_IICMK0           ((volatile struct bitf *)0xfffff16a)->bit06
   #define	_IICIF0           ((volatile struct bitf *)0xfffff16a)->bit07

   #define	_UA2TMK           ((volatile struct bitf *)0xfffff16c)->bit06
   #define	_UA2TIF           ((volatile struct bitf *)0xfffff16c)->bit07

   #define	_ADMK             ((volatile struct bitf *)0xfffff16e)->bit06
   #define	_ADIF             ((volatile struct bitf *)0xfffff16e)->bit07

   #define	_DMAMK0           ((volatile struct bitf *)0xfffff170)->bit06
   #define	_DMAIF0           ((volatile struct bitf *)0xfffff170)->bit07

   #define	_DMAMK1           ((volatile struct bitf *)0xfffff172)->bit06
   #define	_DMAIF1           ((volatile struct bitf *)0xfffff172)->bit07

   #define	_DMAMK2           ((volatile struct bitf *)0xfffff174)->bit06
   #define	_DMAIF2           ((volatile struct bitf *)0xfffff174)->bit07

   #define	_DMAMK3           ((volatile struct bitf *)0xfffff176)->bit06
   #define	_DMAIF3           ((volatile struct bitf *)0xfffff176)->bit07

   #define	_KRMK             ((volatile struct bitf *)0xfffff178)->bit06
   #define	_KRIF             ((volatile struct bitf *)0xfffff178)->bit07

   #define	_WTIMK            ((volatile struct bitf *)0xfffff17a)->bit06
   #define	_WTIIF            ((volatile struct bitf *)0xfffff17a)->bit07

   #define	_WTMK             ((volatile struct bitf *)0xfffff17c)->bit06
   #define	_WTIF             ((volatile struct bitf *)0xfffff17c)->bit07

   #define	_ISPR0            ((volatile struct bitf *)0xfffff1fa)->bit00
   #define	_ISPR1            ((volatile struct bitf *)0xfffff1fa)->bit01
   #define	_ISPR2            ((volatile struct bitf *)0xfffff1fa)->bit02
   #define	_ISPR3            ((volatile struct bitf *)0xfffff1fa)->bit03
   #define	_ISPR4            ((volatile struct bitf *)0xfffff1fa)->bit04
   #define	_ISPR5            ((volatile struct bitf *)0xfffff1fa)->bit05
   #define	_ISPR6            ((volatile struct bitf *)0xfffff1fa)->bit06
   #define	_ISPR7            ((volatile struct bitf *)0xfffff1fa)->bit07

   #define	_STP              ((volatile struct bitf *)0xfffff1fe)->bit01
   #define	_INTM             ((volatile struct bitf *)0xfffff1fe)->bit04
   #define	_NMI0M            ((volatile struct bitf *)0xfffff1fe)->bit05
   #define	_NMI1M            ((volatile struct bitf *)0xfffff1fe)->bit06

   #define	_ADA0EF           ((volatile struct bitf *)0xfffff200)->bit00
   #define	_ADA0CE           ((volatile struct bitf *)0xfffff200)->bit07

   #define	_ADA0PFE          ((volatile struct bitf *)0xfffff204)->bit07

   #define	_DA0CE0           ((volatile struct bitf *)0xfffff282)->bit04
   #define	_DA0CE1           ((volatile struct bitf *)0xfffff282)->bit05

   #define	_ISEL3            ((volatile struct bitf *)0xfffff308)->bit03
   #define	_ISEL4            ((volatile struct bitf *)0xfffff308)->bit04
   #define	_ISEL6            ((volatile struct bitf *)0xfffff308)->bit06

   #define	_BGCE1            ((volatile struct bitf *)0xfffff320)->bit04

   #define	_BGCE2            ((volatile struct bitf *)0xfffff324)->bit04

   #define	_BGCE3            ((volatile struct bitf *)0xfffff328)->bit04

   #define	_TQ0CE            ((volatile struct bitf *)0xfffff540)->bit07

   #define	_TQ0EEE           ((volatile struct bitf *)0xfffff541)->bit05
   #define	_TQ0EST           ((volatile struct bitf *)0xfffff541)->bit06

   #define	_TQ0OE0           ((volatile struct bitf *)0xfffff542)->bit00
   #define	_TQ0OE1           ((volatile struct bitf *)0xfffff542)->bit02
   #define	_TQ0OE2           ((volatile struct bitf *)0xfffff542)->bit04
   #define	_TQ0OE3           ((volatile struct bitf *)0xfffff542)->bit06

   #define	_TQ0OVF           ((volatile struct bitf *)0xfffff545)->bit00

   #define	_TP0CE            ((volatile struct bitf *)0xfffff590)->bit07

   #define	_TP0EEE           ((volatile struct bitf *)0xfffff591)->bit05
   #define	_TP0EST           ((volatile struct bitf *)0xfffff591)->bit06

   #define	_TP0OE0           ((volatile struct bitf *)0xfffff592)->bit00
   #define	_TP0OE1           ((volatile struct bitf *)0xfffff592)->bit02

   #define	_TP0OVF           ((volatile struct bitf *)0xfffff595)->bit00

   #define	_TP1CE            ((volatile struct bitf *)0xfffff5a0)->bit07

   #define	_TP1EEE           ((volatile struct bitf *)0xfffff5a1)->bit05
   #define	_TP1EST           ((volatile struct bitf *)0xfffff5a1)->bit06

   #define	_TP1OE0           ((volatile struct bitf *)0xfffff5a2)->bit00
   #define	_TP1OE1           ((volatile struct bitf *)0xfffff5a2)->bit02

   #define	_TP1OVF           ((volatile struct bitf *)0xfffff5a5)->bit00

   #define	_TP2CE            ((volatile struct bitf *)0xfffff5b0)->bit07

   #define	_TP2EEE           ((volatile struct bitf *)0xfffff5b1)->bit05
   #define	_TP2EST           ((volatile struct bitf *)0xfffff5b1)->bit06

   #define	_TP2OE0           ((volatile struct bitf *)0xfffff5b2)->bit00
   #define	_TP2OE1           ((volatile struct bitf *)0xfffff5b2)->bit02

   #define	_TP2OVF           ((volatile struct bitf *)0xfffff5b5)->bit00

   #define	_TP3CE            ((volatile struct bitf *)0xfffff5c0)->bit07

   #define	_TP3EEE           ((volatile struct bitf *)0xfffff5c1)->bit05
   #define	_TP3EST           ((volatile struct bitf *)0xfffff5c1)->bit06

   #define	_TP3OE0           ((volatile struct bitf *)0xfffff5c2)->bit00
   #define	_TP3OE1           ((volatile struct bitf *)0xfffff5c2)->bit02

   #define	_TP3OVF           ((volatile struct bitf *)0xfffff5c5)->bit00

   #define	_TP4CE            ((volatile struct bitf *)0xfffff5d0)->bit07

   #define	_TP4EEE           ((volatile struct bitf *)0xfffff5d1)->bit05
   #define	_TP4EST           ((volatile struct bitf *)0xfffff5d1)->bit06

   #define	_TP4OE0           ((volatile struct bitf *)0xfffff5d2)->bit00
   #define	_TP4OE1           ((volatile struct bitf *)0xfffff5d2)->bit02

   #define	_TP4OVF           ((volatile struct bitf *)0xfffff5d5)->bit00

   #define	_TP5CE            ((volatile struct bitf *)0xfffff5e0)->bit07

   #define	_TP5EEE           ((volatile struct bitf *)0xfffff5e1)->bit05
   #define	_TP5EST           ((volatile struct bitf *)0xfffff5e1)->bit06

   #define	_TP5OE0           ((volatile struct bitf *)0xfffff5e2)->bit00
   #define	_TP5OE1           ((volatile struct bitf *)0xfffff5e2)->bit02

   #define	_TP5OVF           ((volatile struct bitf *)0xfffff5e5)->bit00

   #define	_WTM0             ((volatile struct bitf *)0xfffff680)->bit00
   #define	_WTM1             ((volatile struct bitf *)0xfffff680)->bit01

   #define	_TM0CE            ((volatile struct bitf *)0xfffff690)->bit07

   #define	_RTPOE0           ((volatile struct bitf *)0xfffff6e5)->bit07

   #define	_PRERR            ((volatile struct bitf *)0xfffff802)->bit00

   #define	_RSTOP            ((volatile struct bitf *)0xfffff80c)->bit00

   #define	_DF0              ((volatile struct bitf *)0xfffff810)->bit07

   #define	_DF1              ((volatile struct bitf *)0xfffff812)->bit07

   #define	_DF2              ((volatile struct bitf *)0xfffff814)->bit07

   #define	_DF3              ((volatile struct bitf *)0xfffff816)->bit07

   #define	_PSM0             ((volatile struct bitf *)0xfffff820)->bit00
   #define	_PSM1             ((volatile struct bitf *)0xfffff820)->bit01

   #define	_LOCK             ((volatile struct bitf *)0xfffff824)->bit00

   #define	_CK3              ((volatile struct bitf *)0xfffff828)->bit03
   #define	_CLS              ((volatile struct bitf *)0xfffff828)->bit04
   #define	_MCK              ((volatile struct bitf *)0xfffff828)->bit06

   #define	_PLLON            ((volatile struct bitf *)0xfffff82c)->bit00
   #define	_SELPLL           ((volatile struct bitf *)0xfffff82c)->bit01

   #define	_CLME             ((volatile struct bitf *)0xfffff870)->bit00

   #define	_LVIF             ((volatile struct bitf *)0xfffff890)->bit00
   #define	_LVIMD            ((volatile struct bitf *)0xfffff890)->bit01
   #define	_LVION            ((volatile struct bitf *)0xfffff890)->bit07

   #define	_RAMF             ((volatile struct bitf *)0xfffff892)->bit00

   #define	_BGCE0            ((volatile struct bitf *)0xfffff8b0)->bit04

   #define	_OCDM0            ((volatile struct bitf *)0xfffff9fc)->bit00

   #define	_UA0DIR           ((volatile struct bitf *)0xfffffa00)->bit04
   #define	_UA0RXE           ((volatile struct bitf *)0xfffffa00)->bit05
   #define	_UA0TXE           ((volatile struct bitf *)0xfffffa00)->bit06
   #define	_UA0PWR           ((volatile struct bitf *)0xfffffa00)->bit07

   #define	_UA0SRF           ((volatile struct bitf *)0xfffffa03)->bit07

   #define	_UA0OVE           ((volatile struct bitf *)0xfffffa04)->bit00
   #define	_UA0FE            ((volatile struct bitf *)0xfffffa04)->bit01
   #define	_UA0PE            ((volatile struct bitf *)0xfffffa04)->bit02
   #define	_UA0TSF           ((volatile struct bitf *)0xfffffa04)->bit07

   #define	_UA1DIR           ((volatile struct bitf *)0xfffffa10)->bit04
   #define	_UA1RXE           ((volatile struct bitf *)0xfffffa10)->bit05
   #define	_UA1TXE           ((volatile struct bitf *)0xfffffa10)->bit06
   #define	_UA1PWR           ((volatile struct bitf *)0xfffffa10)->bit07

   #define	_UA1SRF           ((volatile struct bitf *)0xfffffa13)->bit07

   #define	_UA1OVE           ((volatile struct bitf *)0xfffffa14)->bit00
   #define	_UA1FE            ((volatile struct bitf *)0xfffffa14)->bit01
   #define	_UA1PE            ((volatile struct bitf *)0xfffffa14)->bit02
   #define	_UA1TSF           ((volatile struct bitf *)0xfffffa14)->bit07

   #define	_UA2DIR           ((volatile struct bitf *)0xfffffa20)->bit04
   #define	_UA2RXE           ((volatile struct bitf *)0xfffffa20)->bit05
   #define	_UA2TXE           ((volatile struct bitf *)0xfffffa20)->bit06
   #define	_UA2PWR           ((volatile struct bitf *)0xfffffa20)->bit07

   #define	_UA2SRF           ((volatile struct bitf *)0xfffffa23)->bit07

   #define	_UA2OVE           ((volatile struct bitf *)0xfffffa24)->bit00
   #define	_UA2FE            ((volatile struct bitf *)0xfffffa24)->bit01
   #define	_UA2PE            ((volatile struct bitf *)0xfffffa24)->bit02
   #define	_UA2TSF           ((volatile struct bitf *)0xfffffa24)->bit07

   #define	_CB0SCE           ((volatile struct bitf *)0xfffffd00)->bit00
   #define	_CB0DIR           ((volatile struct bitf *)0xfffffd00)->bit04
   #define	_CB0RXE           ((volatile struct bitf *)0xfffffd00)->bit05
   #define	_CB0TXE           ((volatile struct bitf *)0xfffffd00)->bit06
   #define	_CB0PWR           ((volatile struct bitf *)0xfffffd00)->bit07

   #define	_CB0OVE           ((volatile struct bitf *)0xfffffd03)->bit00
   #define	_CB0TSF           ((volatile struct bitf *)0xfffffd03)->bit07

   #define	_CB1SCE           ((volatile struct bitf *)0xfffffd10)->bit00
   #define	_CB1DIR           ((volatile struct bitf *)0xfffffd10)->bit04
   #define	_CB1RXE           ((volatile struct bitf *)0xfffffd10)->bit05
   #define	_CB1TXE           ((volatile struct bitf *)0xfffffd10)->bit06
   #define	_CB1PWR           ((volatile struct bitf *)0xfffffd10)->bit07

   #define	_CB1OVE           ((volatile struct bitf *)0xfffffd13)->bit00
   #define	_CB1TSF           ((volatile struct bitf *)0xfffffd13)->bit07

   #define	_CB2SCE           ((volatile struct bitf *)0xfffffd20)->bit00
   #define	_CB2DIR           ((volatile struct bitf *)0xfffffd20)->bit04
   #define	_CB2RXE           ((volatile struct bitf *)0xfffffd20)->bit05
   #define	_CB2TXE           ((volatile struct bitf *)0xfffffd20)->bit06
   #define	_CB2PWR           ((volatile struct bitf *)0xfffffd20)->bit07

   #define	_CB2OVE           ((volatile struct bitf *)0xfffffd23)->bit00
   #define	_CB2TSF           ((volatile struct bitf *)0xfffffd23)->bit07

   #define	_CB3SCE           ((volatile struct bitf *)0xfffffd30)->bit00
   #define	_CB3DIR           ((volatile struct bitf *)0xfffffd30)->bit04
   #define	_CB3RXE           ((volatile struct bitf *)0xfffffd30)->bit05
   #define	_CB3TXE           ((volatile struct bitf *)0xfffffd30)->bit06
   #define	_CB3PWR           ((volatile struct bitf *)0xfffffd30)->bit07

   #define	_CB3OVE           ((volatile struct bitf *)0xfffffd33)->bit00
   #define	_CB3TSF           ((volatile struct bitf *)0xfffffd33)->bit07

   #define	_CB4SCE           ((volatile struct bitf *)0xfffffd40)->bit00
   #define	_CB4DIR           ((volatile struct bitf *)0xfffffd40)->bit04
   #define	_CB4RXE           ((volatile struct bitf *)0xfffffd40)->bit05
   #define	_CB4TXE           ((volatile struct bitf *)0xfffffd40)->bit06
   #define	_CB4PWR           ((volatile struct bitf *)0xfffffd40)->bit07

   #define	_CB4OVE           ((volatile struct bitf *)0xfffffd43)->bit00
   #define	_CB4TSF           ((volatile struct bitf *)0xfffffd43)->bit07

   #define	_SPT0             ((volatile struct bitf *)0xfffffd82)->bit00
   #define	_STT0             ((volatile struct bitf *)0xfffffd82)->bit01
   #define	_ACKE0            ((volatile struct bitf *)0xfffffd82)->bit02
   #define	_WTIM0            ((volatile struct bitf *)0xfffffd82)->bit03
   #define	_SPIE0            ((volatile struct bitf *)0xfffffd82)->bit04
   #define	_WREL0            ((volatile struct bitf *)0xfffffd82)->bit05
   #define	_LREL0            ((volatile struct bitf *)0xfffffd82)->bit06
   #define	_IICE0            ((volatile struct bitf *)0xfffffd82)->bit07

   #define	_DAD0             ((volatile struct bitf *)0xfffffd84)->bit04
   #define	_CLD0             ((volatile struct bitf *)0xfffffd84)->bit05

   #define	_CLX0             ((volatile struct bitf *)0xfffffd85)->bit00

   #define	_SPD0             ((volatile struct bitf *)0xfffffd86)->bit00
   #define	_STD0             ((volatile struct bitf *)0xfffffd86)->bit01
   #define	_ACKD0            ((volatile struct bitf *)0xfffffd86)->bit02
   #define	_TRC0             ((volatile struct bitf *)0xfffffd86)->bit03
   #define	_COI0             ((volatile struct bitf *)0xfffffd86)->bit04
   #define	_EXC0             ((volatile struct bitf *)0xfffffd86)->bit05
   #define	_ALD0             ((volatile struct bitf *)0xfffffd86)->bit06
   #define	_MSTS0            ((volatile struct bitf *)0xfffffd86)->bit07

   #define	_IICRSV0          ((volatile struct bitf *)0xfffffd8a)->bit00
   #define	_STCEN0           ((volatile struct bitf *)0xfffffd8a)->bit01
   #define	_IICBSY0          ((volatile struct bitf *)0xfffffd8a)->bit06
   #define	_STCF0            ((volatile struct bitf *)0xfffffd8a)->bit07

   #define	_SPT1             ((volatile struct bitf *)0xfffffd92)->bit00
   #define	_STT1             ((volatile struct bitf *)0xfffffd92)->bit01
   #define	_ACKE1            ((volatile struct bitf *)0xfffffd92)->bit02
   #define	_WTIM1            ((volatile struct bitf *)0xfffffd92)->bit03
   #define	_SPIE1            ((volatile struct bitf *)0xfffffd92)->bit04
   #define	_WREL1            ((volatile struct bitf *)0xfffffd92)->bit05
   #define	_LREL1            ((volatile struct bitf *)0xfffffd92)->bit06
   #define	_IICE1            ((volatile struct bitf *)0xfffffd92)->bit07

   #define	_DAD1             ((volatile struct bitf *)0xfffffd94)->bit04
   #define	_CLD1             ((volatile struct bitf *)0xfffffd94)->bit05

   #define	_CLX1             ((volatile struct bitf *)0xfffffd95)->bit00

   #define	_SPD1             ((volatile struct bitf *)0xfffffd96)->bit00
   #define	_STD1             ((volatile struct bitf *)0xfffffd96)->bit01
   #define	_ACKD1            ((volatile struct bitf *)0xfffffd96)->bit02
   #define	_TRC1             ((volatile struct bitf *)0xfffffd96)->bit03
   #define	_COI1             ((volatile struct bitf *)0xfffffd96)->bit04
   #define	_EXC1             ((volatile struct bitf *)0xfffffd96)->bit05
   #define	_ALD1             ((volatile struct bitf *)0xfffffd96)->bit06
   #define	_MSTS1            ((volatile struct bitf *)0xfffffd96)->bit07

   #define	_IICRSV1          ((volatile struct bitf *)0xfffffd9a)->bit00
   #define	_STCEN1           ((volatile struct bitf *)0xfffffd9a)->bit01
   #define	_IICBSY1          ((volatile struct bitf *)0xfffffd9a)->bit06
   #define	_STCF1            ((volatile struct bitf *)0xfffffd9a)->bit07

   #define	_SPT2             ((volatile struct bitf *)0xfffffda2)->bit00
   #define	_STT2             ((volatile struct bitf *)0xfffffda2)->bit01
   #define	_ACKE2            ((volatile struct bitf *)0xfffffda2)->bit02
   #define	_WTIM2            ((volatile struct bitf *)0xfffffda2)->bit03
   #define	_SPIE2            ((volatile struct bitf *)0xfffffda2)->bit04
   #define	_WREL2            ((volatile struct bitf *)0xfffffda2)->bit05
   #define	_LREL2            ((volatile struct bitf *)0xfffffda2)->bit06
   #define	_IICE2            ((volatile struct bitf *)0xfffffda2)->bit07

   #define	_DAD2             ((volatile struct bitf *)0xfffffda4)->bit04
   #define	_CLD2             ((volatile struct bitf *)0xfffffda4)->bit05

   #define	_CLX2             ((volatile struct bitf *)0xfffffda5)->bit00

   #define	_SPD2             ((volatile struct bitf *)0xfffffda6)->bit00
   #define	_STD2             ((volatile struct bitf *)0xfffffda6)->bit01
   #define	_ACKD2            ((volatile struct bitf *)0xfffffda6)->bit02
   #define	_TRC2             ((volatile struct bitf *)0xfffffda6)->bit03
   #define	_COI2             ((volatile struct bitf *)0xfffffda6)->bit04
   #define	_EXC2             ((volatile struct bitf *)0xfffffda6)->bit05
   #define	_ALD2             ((volatile struct bitf *)0xfffffda6)->bit06
   #define	_MSTS2            ((volatile struct bitf *)0xfffffda6)->bit07

   #define	_IICRSV2          ((volatile struct bitf *)0xfffffdaa)->bit00
   #define	_STCEN2           ((volatile struct bitf *)0xfffffdaa)->bit01
   #define	_IICBSY2          ((volatile struct bitf *)0xfffffdaa)->bit06
   #define	_STCF2            ((volatile struct bitf *)0xfffffdaa)->bit07

#endif /* __LANGUAGE_ASM__ */


#endif /* __uPD70F3718_H */
