/************************************************************************/
/*                          DF3718.ld                                   */
/*                                                                      */
/*  NEC V850 microcontroller device uPD70F3718                          */
/*                                                                      */
/*  Template of linker directive file for the                           */
/*  Green Hills Multi 2000 environment                                  */
/*  Usage:  ccv850e file1.o file2.o ... fileN.o -o a.out DF3718.ld      */
/*                                                                      */
/*  Copyright (C) NEC Corporation 2005                                  */
/*  This file was created from device file DF3718.800       [V1.00 ]    */
/*  by DeFiX V1.21                                                      */
/*                                                                      */
/*  This file is only intended as a sample supplement to NEC tools.     */
/*  Feel free to adapt it to your own needs.                            */
/*  This File is provided 'as is' without warranty of any kind.         */
/*  Neither NEC nor their sales representatives can be held liable      */
/*  of any inconvenience or problem caused by its contents.             */
/************************************************************************/

MEMORY
 {
  iROM		: ORIGIN = 0x00000000,	LENGTH = 512k
  iRAM		: ORIGIN = 0xFFFF5000,	LENGTH = 40k
 }

SECTIONS
 {

/* Start of internal ROM area (iROM) */

  .intvect                         :>iROM  /* start of interrupt vector table part 1*/
  .S_CODE       0x00000070         :>iROM
  .intvect_end	0x03EF             :>.     /* end   of interrupt vector table part 2*/
  .rozdata                         :>.     /* constant datas in ZDA area */
  .robase   align(4)               :>.     /* initialize textpointer TP for SDA addressing */
  .rosdata  align(4)               :>.     /* constant datas in SDA area */
  .rodata   align(4)               :>.     /* constant datas in normal area */

  .text     align(4)               :>.     /* program code area */

  .fixaddr  align(4)               :>.     /* ghs internal (compiler) */
  .fixtype  align(4)               :>.     /* ghs internal (compiler) */
  .secinfo  align(4)               :>.     /* ghs internal (runtime library) */
  .syscall  align(4)               :>.     /* ghs internal (linker) */

  .romdata  ROM(.data)             :>.     /* constant data to initialize variables (copied to RAM at startup)*/
  .romzdata ROM(.zdata)            :>.     /* constant data to initialize variables in ZDA area (copied to RAM at startup)*/
  .romsdata ROM(.sdata)            :>.     /* constant data to initialize variables in SDA area (copied to RAM at startup)*/
  .romtdata ROM(.tdata)            :>.     /* constant data to initialize variables in TDA area (copied to RAM at startup)*/

/* Start of internal RAM area (iRAM) */

  .data                            :>iRAM  /* initialized data */
  .bss      align(4)               :>.     /* zero initialized data*/

  .sdabase  align(4)               :>.     /* initialize globalpointer GP for SDA addressing */
  .sdata    align(4)               :>.     /* initialized data in SDA area*/
  .sbss	    align(4)               :>.     /* zero initialized data in SDA area*/

  .zdata    align(4)               :>.     /* initialized data in ZDA area*/
  .zbss     align(4)               :>.     /* zero initialized data in ZDA area*/

  .tdata    align(4) MAX_SIZE(256) :>.     /* initialized and zero-initialized data in TDA area */

  .stack    align(4) pad(0x200)    :>.     /* definition of stack size */

  .heap     align(4) pad(0x800)    :>.     /* definition of heap size (enable if needed) */

 }

/************************************************************************/
/*      End of File                                                     */
/************************************************************************/
